<?php

namespace SHServ\Routes;

trait ModesRESTAPI_v1 {
	protected function modes_restapi_uri_routes() {
		$this -> router -> uri("/api/v1/modes/list", "{$this -> cn}\\ModesRESTAPIController@list_all");
		$this -> router -> uri("/api/v1/modes/active", "{$this -> cn}\\ModesRESTAPIController@active");
		$this -> router -> uri('/api/v1/modes/$tag/enable', "{$this -> cn}\\ModesRESTAPIController@enable");
		$this -> router -> uri('/api/v1/modes/$tag/disable', "{$this -> cn}\\ModesRESTAPIController@disable");
	}

	protected function modes_restapi_get_routes() {

	}

	protected function modes_restapi_post_routes() {

	}
}
